<side_common>
    <div class="side">
        <h1 class="side-logo"><a href="{ base }/">疋田眼科医院</a></h1>
        <nav class="side-nav">
            <ul>
                <li>
                    <a href="{ base }/">ホーム</a>
                </li>
                <li>
                    <a href="{ base }/information/">当院について</a>
                    <div class="submenu">
                        <p>当院について<span>CLINIC INFORMATION</span></p>
                        <ul>
                            <li>
                                <a href="{ base }/information/greeting.html">ご挨拶</a>
                            </li>
                            <li>
                                <a href="{ base }/information/history.html">当院の歴史</a>
                            </li>
                            <li>
                                <a href="{ base }/information/facility.html">医療設備</a>
                            </li>
                            <li>
                                <a href="{ base }/information/affiliated.html">連携病院</a>
                            </li>
                        </ul>
                    </div>
                </li>
                <li>
                    <a href="{ base }/speciality/">診療内容</a>
                </li>
                <li>
                    <a href="{ base }/doctors/">医師紹介</a>
                </li>
                <li>
                    <a href="{ base }/access/">交通アクセス</a>
                </li>
                <li>
                    <a href="{ base }/contacts/">西新コンタクト</a>
                </li>
            </ul>
        </nav>
        <!-- <a href="tel:092-831-2101" class="side-tel">092-831-2101</a> -->
    </div>

    <dl class="side-utility">
        <dt class="side-utility__ttl">文字サイズ</dt>
        <dd class="side-utility__box">
            <ul class="utility font-size">
                <li class="select" data-font="medium">標準</li>
                <li data-font="large">大</li>
            </ul>
        </dd>
        <dt class="side-utility__ttl">ダークモード</dt>
        <dd class="side-utility__box"> 
            <ul class="utility darkmode">
                <li class="select" data-color="basic"></li>
                <li data-color="black"></li>
            </ul>
        </dd>
    </dl>

    <!-- SPメニュー -->
    <div class="header-sp">
        <input id="nav-input" class="tbsp" type="checkbox" role="button" title="MENU">
        <label id="nav-open" class="tbsp" for="nav-input" aria-hidden="true" title="MENU">
            <span>
                <span></span>
            </span>
        </label>
        <div id="nav-content">
            <nav class="header-sp__nav">
                <ul class="header-sp__nav__list">
                    <li>
                        <a href="{ base }/">ホーム</a>
                    </li>
                    <li>
                        <a href="{ base }/information/">当院について</a>
                    </li>
                    <li>
                        <a href="{ base }/speciality/">診療内容</a>
                    </li>
                    <li>
                        <a href="{ base }/doctors/">医師紹介</a>
                    </li>
                    <li>
                        <a href="{ base }/access/">交通アクセス</a>
                    </li>
                    <li>
                        <a href="{ base }/contacts/">西新コンタクト</a>
                    </li>
                </ul>
            </nav>            
        </div>
    </div>
    

    <script>
        // カレント設定
        this.on('mount', function() {
            //TOPがindex.htmlの場合でも、カレント表示がつくようにする
            var current = location.pathname.replace(this.base, '').split('/')[1];
            if (current.length === 0 || current === 'index.html') {
                $('.side-nav li > a[href="' + this.base + '/"]').closest('a').addClass('active');
            } else {
                $('.side-nav li > a[href^="' + this.base + '/' + current + '/"]').closest('a').addClass('active');
            }
        });

        this.on('mount', function() {
            $('#nav-open').on('click', function(){
                $(this).toggleClass('active');
            });
        });


        this.on('mount', function() {
    		var fontbtn = $('.font-size li');
    		function initFontSize() {
    			if(!sessionStorage.getItem('fontSize')) {
    				sessionStorage.setItem('fontSize', 'medium');
    			}
    			fontResize(sessionStorage.getItem('fontSize'));
    		}
    		fontbtn.on('click',function(){
    			fontResize($(this).data('font'));
    		});
    		function fontResize(size) {
    			fontbtn.removeClass('select');
    			fontbtn.filter('[data-font="' + size + '"]').addClass('select');
    			fontbtn.each(function() {
    				$('html').removeClass($(this).data('font'));
    			});
    			$('html').addClass(size);
    			sessionStorage.setItem('fontSize', size);
    		}

    		var colorbtn = $('.darkmode li');
    		function initColor() {
    			if(!sessionStorage.getItem('color')) {
    				sessionStorage.setItem('color', 'basic');
    			}
    			colorChange(sessionStorage.getItem('color'));
    		}
    		colorbtn.on('click',function(){
    			if(sessionStorage.getItem('color') == 'basic') {
    				colorChange('black');
    			} else {
    				colorChange('basic');
    			}
    		});
    		function colorChange(color) {
    			colorbtn.removeClass('select');
    			colorbtn.filter('[data-color="' + color + '"]').addClass('select');
    			colorbtn.each(function() {
    				$('html').removeClass($(this).data('color'));
    			});
    			$('html').addClass(color);
    			sessionStorage.setItem('color', color);
    		}

    		function init() {
    			initFontSize();
    			initColor();
    		}
    		init();
    	});

    </script>
    
</side_common>
